function::task_state
Prev | Chapter 2. Context Functions | Next

## Name

function::task_state — The state of the task

## Synopsis

        task_state:long(task:long)

## Arguments

`task`

  task_struct pointer

## Description

Return the state of the given task, one of: TASK_RUNNING (0), TASK_INTERRUPTIBLE (1), TASK_UNINTERRUPTIBLE (2), TASK_STOPPED (4), TASK_TRACED (8), EXIT_ZOMBIE (16), or EXIT_DEAD (32).

Prev | Up | Next
function::task_prio | Home | function::task_tid